# Compiled class file
*.class

# Log file
*.log

# BlueJ files
*.ctxt

# Mobile Tools for Java (J2ME)
.mtj.tmp/

# Package Files #
*.war
*.nar
*.ear
*.zip
*.tar.gz
*.rar

# virtual machine crash logs, see http://www.java.com/en/download/help/error_hotspot.xml
hs_err_pid*

# STS
.apt_generated
.classpath
.factorypath
.project
.settings
.springBeans
.sts4-cache
bin/
!**/src/main/**/bin/
!**/src/test/**/bin/

# IntelliJ IDEA
.idea
*.iws
*.iml
*.ipr
out/
!**/src/main/**/out/
!**/src/test/**/out/
!**/bundle/src/**/out/

# NetBeans
/nbproject/private/
/nbbuild/
/dist/
/dist_pda/
/nbdist/
/.nb-gradle/

# VS Code
.vscode/

# gradle
!gradle/wrapper/gradle-wrapper.jar
!**/src/main/**/build/
!**/src/test/**/build/

# 设置不需要提交的文件
.flattened-pom.xml
*.eml
*.log.*
.gradle
.vscode
.DS_Store
target
pom.xml.versionsBackup
build/
node_modules

/yvan-vue
/yvan-vue-src
/yvan-vue-mobile
/yvan-vue-mobile-src
/upload
/logs
.httpCache

/wms-ui-mobile
/wms-ui-pc/dist/
/yvan-framework
/x-spreadsheet
/k8s-deploy
/script-repo/temp

!/wms-ui-pc/yarn.lock
!/front-server/yarn.lock
/wms-modules/wms-ui-config-center
/wms-modules/wms-config-center
rule_temp
branch.bat
merge.bat